Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226633 - Merge Review: xorg-x11-drv-via
Summary: Merge Review: xorg-x11-drv-via
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:31 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-06 21:08:21 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:31:34 UTC
Fedora Merge Review: xorg-x11-drv-via

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-drv-via/
Initial Owner: ajackson@redhat.com

Comment 1 Jason Tibbitts 2007-07-31 22:33:42 UTC
Abbreviated mass review of xorg-x11-drv-* packages.

5026bdaf644178fee66a26190453b0dddb99558b8c97c4a592a482a2434dc862 
xf86-video-via-0.2.2.tar.bz2

rpmlint says:
E: xorg-x11-drv-via library-without-ldconfig-postin /usr/lib64/libviaXvMC.so.1.0.0
E: xorg-x11-drv-via library-without-ldconfig-postun /usr/lib64/libviaXvMC.so.1.0.0
E: xorg-x11-drv-via library-without-ldconfig-postin
/usr/lib64/libviaXvMCPro.so.1.0.0
E: xorg-x11-drv-via library-without-ldconfig-postun
/usr/lib64/libviaXvMCPro.so.1.0.0
  I think these are problematic.  Or is there some reason an ldconfig pass isn't 
  needed here?

W: xorg-x11-drv-via-devel no-documentation
W: xorg-x11-drv-via mixed-use-of-spaces-and-tabs (spaces: line 13, tab: line 3)
  Not problematic.

Plus 56 undefined-non-weak-symbol complaints in /usr/lib64/libviaXvMC.so.1.0.0
and /usr/lib64/libviaXvMCPro.so.1.0.0.  I note that the same issues are present
in the XvMC libs from the i810 driver.  Maybe there's something special about
XvMC libraries?

* File and directory ownership looks good.
* debuginfo package looks good.

Comment 2 Adam Jackson 2007-09-06 21:08:21 UTC
Yeah, that's intentional.  libwhateverXvMC.so are client-side drivers, the
missing symbols come from libXvMC.so itself, and they're only ever dlopened so
there's no reason to ldconfig.

Marking as fixed in rawhide, please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.